## mx4j.tools.remote.soap.axis.ser
Class MBeanOperationInfoSerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              mx4j.tools.remote.soap.axis.ser.MBeanOperationInfoSerFactory

All Implemented Interfaces:
  java.io.Serializable, javax.xml.rpc.encoding.SerializerFactory, org.apache.axis.encoding.SerializerFactory

public class MBeanOperationInfoSerFactory
extends org.apache.axis.encoding.ser.BaseSerializerFactory

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, ser, serClass, serClassConstructor, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`MBeanOperationInfoSerFactory(java.lang.Class javaType, javax.xml.namespace.QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanOperationInfoSerFactory

    public MBeanOperationInfoSerFactory(java.lang.Class javaType,
                                        javax.xml.namespace.QName xmlType)

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.